# -*- coding: utf-8 -*-
"""
Created on Mon Sep 12 14:45:23 2022

@author: rusli001
"""

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

# import groundwater head data
age_data = pd.read_excel('Umur air tanah - modpath5.xlsx', sheet_name = 'umur air tanah')
age_obs = age_data['14c'].values
obs_e = age_data['var'].values
age_sim = age_data['simulated'].values
sim_e = age_data['sim_error'].values
line = [0, 10000]

# plot observation vs simulation
fig, ax = plt.subplots(figsize = (8,8))
plt.grid(axis = 'both', which = 'major', alpha = 0.5)
ax.errorbar(age_obs, age_sim, xerr = obs_e, yerr = sim_e, ls = 'none', zorder = 1)
ax.scatter(age_obs, age_sim, c = 'blue', label = 'Groundwater age estimates', s = 25, zorder = 2)
ax.plot(line, line, c = 'black')
plt.xlabel('Estimates from radiocarbon content (years)')
plt.ylabel('Estimates from MODPATH backward particle tracking (years)')
ax.set_xlim(0,8000)
ax.set_ylim(0,8000)
ax.legend(loc = 2)

plt.savefig("age_with.pdf", dpi = 300, bbox_inches = 'tight')
fig.show()