# -*- coding: utf-8 -*-
"""
Created on Fri Mar 25 13:31:47 2022

@author: rusli001
"""

# import necessary packages
import pandas as pd
import numpy as np
import re, os
from funciones import *
from variables import *

#ion dictionary
iones = {'HCO3': 61, 'CO3' : 30, 'Cl' : 35, 'SO4': 48, 'Na+' : 23, 'Ca2+' : 20, 'Mg2+' : 12, 'K+'  : 39}

#open data in excel and convert to panda dataframe
data = pd.read_excel('../data_kimia.xlsx')

#replace incompatible characters
data = data.set_index(['Lokasi'])

#equivalen weight colum
for ion in iones.keys():
    data[str(ion)+'_meq'] = data[ion]/iones[ion]

#generate image based on the defined packages
for index, row in data.iterrows():
    Na_K, Ca, Mg = row['Na+_meq']+row['K+_meq'], row['Ca2+_meq'], row['Mg2+_meq'] 
    Cl, SO4, HCO3_CO3 = row['Cl_meq'], row['SO4_meq'], row['HCO3_meq']+row['CO3_meq']
    #apply some factor for the axis
    maxConNorm = max([Na_K, Ca, Mg, Cl, SO4, HCO3_CO3])*2
    #set of points of the Stiff diagram
    a = np.array([[0.5 + Cl/maxConNorm,1], [0.5 + SO4/maxConNorm,.5], [0.5 + HCO3_CO3/maxConNorm,0],
                  [0.5 - Mg/maxConNorm,0], [0.5 - Ca/maxConNorm,.5], [0.5 - Na_K/maxConNorm,1]])
    fig = diagramaStiff(a, maxConNorm, index)
    fig.savefig('svg/Stiff-'+str(index)+'.svg')
    fig.savefig('png/Stiff-'+str(index)+'.png')

#observation point spatial file
data_geo = data.loc[:,'X':'Y']
data_geo.to_csv('sungai.csv')

image_path = os.path.join(os.path.dirname(os.getcwd()),'stiffdiagram_python/svg')
image_path = image_path.replace('\\','/')

#write style file generation
qgis_style = open('sungai.sld','w')
qgis_style.write(encabezado)

for index, row in data.iterrows():
    item = re.sub('%%path%%',image_path,item)
    estiloitem = re.sub('%%index%%',index,item)
    qgis_style.write(estiloitem)
qgis_style.write(final)

qgis_style.close()