# -*- coding: utf-8 -*-
"""
Created on Mon Sep 12 14:45:23 2022

@author: rusli001
"""

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

# import groundwater head data
full_data = pd.read_excel('data_isotop.xlsx', sheet_name = 'all')
depth = full_data['MAT'].values
data = full_data['18O'].values

shallow_depth = depth[24:]
deep_depth = depth[0:24]
shallow_data = data[24:]
deep_data = data[0:24]

# plot observation vs simulation & background color
fig, ax = plt.subplots(figsize = (8,8))
plt.grid(axis = 'both', which = 'major', alpha = 0.5)
x = np.arange(-12, 12, 1)
y0 = 0
y1 = 43
y2 = 57
y3 = 100
ax.fill_between(x, y0, y1, color = 'sandybrown', alpha = 0.25)
ax.text(-11.5, 42, 'upper aquifer')
ax.fill_between(x, y1, y2, color = 'saddlebrown', alpha = 0.25)
ax.text(-11.5, 51, 'aquitard')
ax.fill_between(x, y2, y3, color = 'sandybrown', alpha = 0.35)
ax.text(-11.5, 59, 'lower aquifer')
ax.scatter(shallow_data, shallow_depth, c = 'blue', label = 'Shallow groundwater')
ax.scatter(deep_data, deep_depth, c = 'red', label = 'Deep groundwater')
plt.xlabel('$\delta_{18}$O (‰)')
plt.ylabel('Depth (m)')
ax.invert_yaxis()
ax.set_xlim(-12,0)
ax.set_ylim(100,0)
ax.legend(loc = 3)

plt.savefig("isotop_depth_oxygen.pdf", dpi = 300, bbox_inches = 'tight')
fig.show()